> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Parking Session

> Update a parking session's timeout destination and alternate ring



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/parking-sessions/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/parking-sessions/{id}:
    patch:
      tags:
        - Parking Sessions
      summary: Update Parking Session
      description: Update a parking session's timeout destination and alternate ring
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Parking session ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                timeoutDestinations:
                  description: Timeout destination (max 1)
                  maxItems: 1
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      type:
                        type: string
                        minLength: 3
                    required:
                      - id
                      - type
                    additionalProperties: false
                useAlternateRing:
                  description: Use alternate ring (0/1)
                  anyOf:
                    - type: number
                      enum:
                        - 1
                    - type: number
                      enum:
                        - 0
                altRingValue:
                  description: Alternate ring tone
                  anyOf:
                    - type: string
                      enum:
                        - ALTERNATERINGTONE1
                        - ALTERNATERINGTONE2
                        - ALTERNATERINGTONE3
                        - ALTERNATERINGTONE4
                        - ALTERNATERINGTONE5
                        - ALTERNATERINGTONE6
                        - ALTERNATERINGTONE7
                        - ALTERNATERINGTONE8
                        - ALTERNATERINGTONE9
                        - ALTERNATERINGTONE10
                    - type: 'null'
              additionalProperties: false
      responses:
        '200':
          description: Updated parking session
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Parking session ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  state:
                    type: number
                    description: Session state (0/1)
                  space:
                    type: string
                    description: Parking space
                  hostIp:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Host IP
                  useAlternateRing:
                    type: number
                    description: Use alternate ring (0/1)
                  altRingValue:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Alternate ring tone
                  callerIdNum:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Caller ID number
                  callerIdName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Caller ID name
                  updatedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Last updated (ISO)
                  timeoutDestinations:
                    default: []
                    description: Resolved timeout destinations
                    type: array
                    items:
                      type: object
                      properties:
                        entity:
                          anyOf:
                            - type: string
                            - type: 'null'
                        name:
                          anyOf:
                            - type: string
                            - type: 'null'
                        typeSrc:
                          anyOf:
                            - type: string
                            - type: 'null'
                        id:
                          anyOf:
                            - type: number
                            - type: 'null'
                        type:
                          anyOf:
                            - type: string
                            - type: 'null'
                        destination: {}
                      required:
                        - destination
                      additionalProperties: {}
                required:
                  - id
                  - tenantId
                  - state
                  - space
                  - hostIp
                  - useAlternateRing
                  - altRingValue
                  - callerIdNum
                  - callerIdName
                  - updatedAt
                  - timeoutDestinations
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````